<div class="input-bs-color">
  <p class="selected-value-text">
    {{t "option-panel.selected color"}}:
    <strong class="selected-color text-{{this.currentColor}}">{{this.currentColor}}</strong>
  </p>

  <p>{{t "option-panel.predefined colors"}}</p>
  <div class="predefined-colors">
    {{#each this.predefinedVariables as |name|}}
      <button type="button" class="btn btn-color btn-color-{{name}} bg-{{name}}" {{on "click" (fn this.select name)}}>
        {{#if (eq name this.currentColor)}}
          <FaIcon @icon="check" />
        {{/if}}
      </button>
    {{/each}}
  </div>

  <p>{{t "option-panel.colors"}}</p>
  <div class="colors">
    {{#each this.colors as |name|}}
      <button type="button" class="btn btn-color btn-color-{{name}} bg-{{name}}" {{on "click" (fn this.select name)}}>
        {{#if (eq name this.currentColor)}}
          <FaIcon @icon="check" />
        {{/if}}
      </button>
    {{/each}}
  </div>

  {{#if this.shades}}
    <p>{{t "option-panel.shades"}}</p>
    <div class="shades">
      {{#each this.shades as |shade|}}
        {{shade}}
        <button type="button" class="btn btn-color btn-color-{{shade}} bg-{{shade}}" {{on "click" (fn this.select shade)}}>
          {{#if (eq shade this.currentColor)}}
            <FaIcon @icon="check" />
          {{/if}}
        </button>
      {{/each}}
    </div>
  {{/if}}
</div>